org.apache.tapestry5.internal

## Class OptionModelImpl

- java.lang.Object
- - org.apache.tapestry5.AbstractOptionModel
  - - org.apache.tapestry5.internal.OptionModelImpl

- All Implemented Interfaces:
    OptionModel

      public class OptionModelImpl
      extends AbstractOptionModel

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptionModelImpl(String value)` Constructor for when the value and the label are the same.
    `OptionModelImpl(String label, Object value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel()` The localized, user-presentable label for the option.
    `Object` | `getValue()` The server-side value represented by this option.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tapestry5.AbstractOptionModel

      `getAttributes, isDisabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OptionModelImpl

          public OptionModelImpl(String value)

      Constructor for when the value and the label are the same.

    - #### OptionModelImpl

          public OptionModelImpl(String label,
                                 Object value)

  - ### Method Detail

    - #### getLabel

          public String getLabel()

      Description copied from interface: `OptionModel`
      The localized, user-presentable label for the option.

    - #### getValue

          public Object getValue()

      Description copied from interface: `OptionModel`
      The server-side value represented by this option. This is used to determine which option will be selected. It is also used, via `ValueEncoder.toClient(Object)`, to generate the client-side value attribute.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.